/*
 * checkerberry test center - https://www.checkerberry.de
 *
 * Copyright (c) 2010 ConceptPeople consulting gmbh
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/software/page/eupl5
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.conceptpeople.checkerberry.web.example.test;

import de.conceptpeople.checkerberry.web.environment.DefaultWebConfiguration;

/**
 * Dient zum Test der Unterstützung verschiedener Browsertypen: Diese
 * Konfiguration ist für den Firefox.
 * <p/>
 * Unter http://seleniumhq.org/about/platforms.html findet man eine Aufstellung,
 * welche Browser/Plattformen für Selenium RC und WebDriver unterstützt werden.
 * Es ist jedoch zu beachten, dass für einige Browser unter WebDriver
 * zusätzliche Programme (nämlich WebDriver) installiert werden müssen.
 * Für Google Chrome ist der Driver hier zu finden
 * https://sites.google.com/a/chromium.org/chromedriver/
 */
public class ExampleWebConfiguration extends DefaultWebConfiguration {

    /**
     * Erzeuge eine neue <code>ChromeWebConfiguration</code> Instanz, die den
     * Browser Typen auf Google Chrome setzt.
     */
    public ExampleWebConfiguration() {
        // Für die Verwendung von Google Chrome und WebDriver muss allerdings
        // ein eigener WebDriver installiert werden. Siehe dazu:
        // https://sites.google.com/a/chromium.org/chromedriver/
         setBrowserType("*googlechrome");
    }
}
